# Create addresses

Create a new address

Endpoint: POST /v2/counterparties/{counterpartyId}/addresses
Version: 2.0
Security: TokenAuth

## Path parameters:

  - `counterpartyId` (string, required)
    The counterparty ID

## Request fields (application/json):

  - `custodian` (object)

  - `custodian.name` (string, required)
    The Virtual Asset Service Provider's name
    Example: "Palisade Financial"

  - `custodian.dId` (string, required)
    The Virtual Asset Service Provider's Decentralized Identifier
    Example: "did:example:123456789abcdefghi"

  - `termsAndConditionsAccepted` (boolean, required)
    Whether the user has accepted the terms and conditions
    Example: true

  - `details` (object, required)

  - `details.type` (string, required)
    Enum: "EXTERNAL"

  - `details.externalAddress` (object)

  - `details.externalAddress.address` (string, required)
    The address
    Example: "0x55502b9d5a68b0F8a48384352295BeD968aD8AA4"

  - `details.externalAddress.name` (string, required)
    The address name
    Example: "Treasury"

  - `details.externalAddress.description` (string)
    The address description
    Example: "Wallet used to store treasury funds"

  - `details.externalAddress.blockchains` (array, required)
    The blockchains supported by the address
    Enum: "AVALANCHE", "ETHEREUM", "XRP_LEDGER", "POLYGON", "BNBCHAIN", "BASE", "HEDERA", "ARBITRUM", "ONE_MONEY", "SOLANA", "TRON", "BITCOIN"

## Response 200 fields (application/json):

  - `addressId` (string, required)
    The address ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `counterpartyId` (string, required)
    The counterparty ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `createdBy` (string, required)
    The ID of the user who created this address
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `createdAt` (string, required)
    The date and time the address was created
    Example: "2022-03-29T10:22:22.420Z"

  - `updatedBy` (string, required)
    The ID of the user who updated this address
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `updatedAt` (string, required)
    The date and time the address was updated
    Example: "2022-03-29T10:22:22.420Z"

  - `custodian` (object)

  - `termsAndConditionsAccepted` (boolean, required)
    Whether the user has accepted the terms and conditions
    Example: true

  - `details` (object, required)

  - `status` (string, required)
    Enum: "CREATED", "ENABLED", "REJECTED", "DELETED", "ERROR", "COMPLIANCE_PENDING", "COMPLIANCE_COMPLETE", "CREATION_APPROVAL_PENDING", "CREATION_APPROVAL_COMPLETE", "DELETION_APPROVAL_PENDING", "DELETION_APPROVAL_COMPLETE"

  - `active` (boolean, required)
    Whether the address is active
    Example: true

## Response 400 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (array)

  - `details.@type` (string)


